%define upstream_name    Mail-Audit
%define upstream_version 2.228

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Self-cleaning fork-respecting tempdirs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::HomeDir) >= 0.610.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Tempdir)
BuildRequires: perl(MIME::Entity)
BuildRequires: perl(Mail::Internet)
BuildRequires: perl(Mail::Mailer)
BuildRequires: perl(Mail::POP3Client)
BuildRequires: perl(Net::SMTP)
BuildRequires: perl(Parse::RecDescent)
BuildArch:  noarch

%description
_procmail_ is nasty. It has a tortuous and complicated recipe format, and I
don't like it. I wanted something flexible whereby I could filter my mail
using Perl tests.

Mail::Audit was inspired by Tom Christiansen's _audit_mail_ and
_deliverlib_ programs. It allows a piece of email to be logged, examined,
accepted into a mailbox, filtered, resent elsewhere, rejected, replied to,
and so on. It's designed to allow you to easily create filter programs to
stick in a _.forward_ file or similar.

Mail::Audit groks MIME; when appropriate, it subclasses MIME::Entity. Read
the MIME::Tools man page for details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes FAQ LICENSE META.json META.yml README
%{_bindir}/popread
%{_bindir}/proc2ma
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.228.0-8.mga8
+ Revision: 1495470
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.228.0-7.mga7
+ Revision: 1269072
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.228.0-6.mga6
+ Revision: 1029496
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.228.0-5.mga6
+ Revision: 946869
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.228.0-4.mga5
+ Revision: 747779
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.228.0-3.mga5
+ Revision: 685308
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 2.228.0-2.mga4
+ Revision: 538231
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 sander85 <sander85> 2.228.0-1.mga4
+ Revision: 489045
- update to 2.228

* Sun Jan 13 2013 umeabot <umeabot> 2.227.0-2.mga3
+ Revision: 369389
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 14 2011 kharec <kharec> 2.227.0-1.mga2
+ Revision: 167802
- update to 2.227

* Sat Nov 12 2011 kharec <kharec> 2.226.0-1.mga2
+ Revision: 166909
- update to 2.226

* Fri Nov 11 2011 kharec <kharec> 2.225.0-1.mga2
+ Revision: 166760
- imported package perl-Mail-Audit


* Fri Nov 11 2011 cpan2dist 2.225-1mga
- initial mageia release, generated with cpan2dist
